/**   
* @Title: Ticket.java 
* @Package com.platform.pojo 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年12月15日 下午3:19:34 
* @version V1.0   
*/
package com.platform.pojo;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/** 
* @ClassName: Ticket 
* @Description: TODO(这里用一句话描述这个类的作用) 
* @author kiosk
* @date 2017年12月15日 下午3:19:34 
*  
*/
@XmlType(propOrder = { "planId", "schedulesNo", "schedulesName", "doctorNo", "doctorName", "sectionNo", "sectionName", "startDate", "endDate", "regType", "statusId", "statusName", "sortNo","replaceDoctorNo","replaceDoctorName","replaceReason"})  
public class Ticket implements Serializable{

	/** 
	* @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么) 
	*/ 
	private static final long serialVersionUID = -2462849901649626878L;
	
	/**
	 * 号表信息
	 */
	private String planId;//号表主键
	private String schedulesNo;//排班类型编码
	private String schedulesName;//排班类型名称
	private String doctorNo;//医生编码
	private String doctorName;//医生姓名
	private String sectionNo;//科室编码
	private String sectionName;//科室名称
	private String startDate;//服务开始时间
	private String endDate;//服务结束时间
	private String regType;//挂号类型：AM-上午号 PM-下午号
	private String statusId;//号源状态id
	private String statusName;//号源状态：1-可预约  2-替诊 0-停诊，默认1-可预约。其中 1 和 2 是可以预约的，0是不可以预约
	private String sortNo;//号源序号
	private String replaceDoctorNo;//替诊医生编码
	private String replaceDoctorName;//替诊医生姓名
	private String replaceReason;//替诊原因
	
	
	
	/**
	 * @return the schedulesNo
	 */
	@XmlElement(name = "schedulesNo")
	public String getSchedulesNo() {
		return schedulesNo;
	}
	/**
	 * @param schedulesNo the schedulesNo to set
	 */
	public void setSchedulesNo(String schedulesNo) {
		this.schedulesNo = schedulesNo;
	}
	/**
	 * @return the schedulesName
	 */
	@XmlElement(name = "schedulesName")
	public String getSchedulesName() {
		return schedulesName;
	}
	/**
	 * @param schedulesName the schedulesName to set
	 */
	public void setSchedulesName(String schedulesName) {
		this.schedulesName = schedulesName;
	}
	/**
	 * @return the doctorNo
	 */
	@XmlElement(name = "doctorNo")
	public String getDoctorNo() {
		return doctorNo;
	}
	/**
	 * @param doctorNo the doctorNo to set
	 */
	public void setDoctorNo(String doctorNo) {
		this.doctorNo = doctorNo;
	}
	/**
	 * @return the doctorName
	 */
	@XmlElement(name = "doctorName")
	public String getDoctorName() {
		return doctorName;
	}
	/**
	 * @param doctorName the doctorName to set
	 */
	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}
	/**
	 * @return the sectionNo
	 */
	@XmlElement(name = "sectionNo")
	public String getSectionNo() {
		return sectionNo;
	}
	/**
	 * @param sectionNo the sectionNo to set
	 */
	public void setSectionNo(String sectionNo) {
		this.sectionNo = sectionNo;
	}
	/**
	 * @return the sectionName
	 */
	@XmlElement(name = "sectionName")
	public String getSectionName() {
		return sectionName;
	}
	/**
	 * @param sectionName the sectionName to set
	 */
	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}
	/**
	 * @return the startDate
	 */
	@XmlElement(name = "startDate")
	public String getStartDate() {
		return startDate;
	}
	/**
	 * @param startDate the startDate to set
	 */
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	/**
	 * @return the endDate
	 */
	@XmlElement(name = "endDate")
	public String getEndDate() {
		return endDate;
	}
	/**
	 * @param endDate the endDate to set
	 */
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	/**
	 * @return the regType
	 */
	@XmlElement(name = "regType")
	public String getRegType() {
		return regType;
	}
	/**
	 * @param regType the regType to set
	 */
	public void setRegType(String regType) {
		this.regType = regType;
	}
	/**
	 * @return the statusId
	 */
	@XmlElement(name = "statusId")
	public String getStatusId() {
		return statusId;
	}
	/**
	 * @param statusId the statusId to set
	 */
	public void setStatusId(String statusId) {
		this.statusId = statusId;
	}
	/**
	 * @return the statusName
	 */
	@XmlElement(name = "statusName")
	public String getStatusName() {
		return statusName;
	}
	/**
	 * @param statusName the statusName to set
	 */
	public void setStatusName(String statusName) {
		this.statusName = statusName;
	}
	/**
	 * @return the sortNo
	 */
	@XmlElement(name = "sortNo")
	public String getSortNo() {
		return sortNo;
	}
	/**
	 * @param sortNo the sortNo to set
	 */
	public void setSortNo(String sortNo) {
		this.sortNo = sortNo;
	}
	/**
	 * @return the replaceDoctorNo
	 */
	@XmlElement(name = "replaceDoctorNo")
	public String getReplaceDoctorNo() {
		return replaceDoctorNo;
	}
	/**
	 * @param replaceDoctorNo the replaceDoctorNo to set
	 */
	public void setReplaceDoctorNo(String replaceDoctorNo) {
		this.replaceDoctorNo = replaceDoctorNo;
	}
	/**
	 * @return the replaceDoctorName
	 */
	@XmlElement(name = "replaceDoctorName")
	public String getReplaceDoctorName() {
		return replaceDoctorName;
	}
	/**
	 * @param replaceDoctorName the replaceDoctorName to set
	 */
	public void setReplaceDoctorName(String replaceDoctorName) {
		this.replaceDoctorName = replaceDoctorName;
	}
	/**
	 * @return the replaceReason
	 */
	@XmlElement(name = "replaceReason")
	public String getReplaceReason() {
		return replaceReason;
	}
	/**
	 * @param replaceReason the replaceReason to set
	 */
	public void setReplaceReason(String replaceReason) {
		this.replaceReason = replaceReason;
	}
	/**
	 * @return the planId
	 */
	@XmlElement(name = "planId")
	public String getPlanId() {
		return planId;
	}
	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	
	
	
	
}
